using SqlSugar;
using System;
using System.Collections.Generic;
using System.Security.Principal;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("wms_raw_preferred_out"), TenantAttribute("mes")]
    public class WmsRawPreferredOut
    {
        /// <summary>
        /// 优先出库ID
        /// </summary>
        [SugarColumn(ColumnName = "raw_preferred_out_id", IsPrimaryKey = true, IsIdentity = true)]
        public long RawPreferredOutId { get; set; }

        /// <summary>
        /// 仓库ID
        /// </summary>
        [SugarColumn(ColumnName = "warehouse_id")]
        public long WarehouseId { get; set; }

        /// <summary>
        /// 仓库楼层
        /// </summary>
        [SugarColumn(ColumnName = "warehouse_floor")]
        public int? WarehouseFloor { get; set; }

        /// <summary>
        /// 库位编码
        /// </summary>
        [SugarColumn(ColumnName = "location_code")]
        public string LocationCode { get; set; }

        /// <summary>
        /// 库存类型：1原材料，2成品
        /// </summary>
        [SugarColumn(ColumnName = "stock_type")]
        public string StockType { get; set; }

        /// <summary>
        /// 物料ID
        /// </summary>
        [SugarColumn(ColumnName = "material_id")]
        public long MaterialId { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_date")]
        public DateTime? CreateDate { get; set; }

        /// <summary>
        /// 最后更新人
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_date")]
        public DateTime? UpdateDate { get; set; }

        /// <summary>
        /// 有效标记
        /// </summary>
        [SugarColumn(ColumnName = "use_flag", DefaultValue = "1")]
        public string UseFlag { get; set; }
    }
}
